"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x107a219d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107a21a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107a21af0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107a21b80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107a21c10>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107a21ca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107a21d30>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107a21dc0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107a21e50>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107a21ee0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107a21f70>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x107a23040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x107a230d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x107a23160>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x107a231f0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x107a23280>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x107a23310>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x107a233a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x107a23430>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x107a234c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x107a23550>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x107a235e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x107a23670>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x107a23700>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x107a23820>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x107a23790>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x107a238b0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x107a23940>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x107a239d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x107a23a60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x107a23af0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x107a23b80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x107a23c10>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x107a23ca0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x107a23d30>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x107a23dc0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x107a23e50>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x107a23ee0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107a23f70>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a040>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a0d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a160>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a1f0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a280>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a310>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a3a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a430>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a4c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a550>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a5e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a670>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a700>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a790>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a820>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a8b0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a940>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x107a2a9d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107a2aa60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x107a2aaf0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x107a2ab80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x107a2ac10>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x107a2aca0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x107a2ad30>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x107a2adc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107a2ae50>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d040>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x107a2aee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d0d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d160>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d1f0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d280>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d310>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d430>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d3a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d4c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d550>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d5e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d700>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d670>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d790>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d820>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d8b0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d940>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107a2d9d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107a2da60>)]
name: str = 'fr_HOCCN'
